Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command
Class DefaultDruplet

    java.lang.Object
      org.drupal.project.async_command.Druplet
          org.drupal.project.async_command.DefaultDruplet

All Implemented Interfaces:
  java.lang.Runnable

    @Identifier(value="default")
    public class DefaultDruplet

extends Druplet

This Druplet is mostly used for testing/demo purposes.

Nested Class Summary

Nested classes/interfaces inherited from class org.drupal.project.async_command.Druplet
`Druplet.AccessMode, Druplet.RunningMode`

Field Summary

Fields inherited from class org.drupal.project.async_command.Druplet
`acceptableCommandClass, accessMode, config, drupalConnection, drupletConfig, executor, logger`

Constructor Summary
`DefaultDruplet(DrupalConnection drupalConnection)` Deprecated.
`DefaultDruplet(DrupletConfig config)`
`DefaultDruplet(java.util.Properties config)` Deprecated.

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.drupal.project.async_command.Druplet
`getConfig, getDrupalConnection, getDrupletConfig, getIdentifier, handleException, parseCommand, registerCommandClass, registerCommandClass, run, runOnce, runParallel, runSerial, setDrupalConnection, setRunningMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDruplet

    @Deprecated
    public DefaultDruplet(DrupalConnection drupalConnection)

  Deprecated.

### DefaultDruplet

    @Deprecated
    public DefaultDruplet(java.util.Properties config)

  Deprecated.

### DefaultDruplet

    public DefaultDruplet(DrupletConfig config)

Method Detail

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD